org.apache.lucene.index

## Class MergeState

- java.lang.Object
- - org.apache.lucene.index.MergeState

    public class MergeState
    extends Object

Holds common state used during segment merging.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

Nested Classes
`static class` `MergeState.CheckAbort` Class for recording units of work when merging segments.
`static class` `MergeState.DocMap` Remaps docids around deletes during merge

### Field Summary

Fields
`MergeState.CheckAbort` `checkAbort` Holds the CheckAbort instance, which is invoked periodically to see if the merge has been aborted.
`int[]` `docBase` New docID base per reader.
`MergeState.DocMap[]` `docMaps` Maps docIDs around deletions.
`FieldInfos` `fieldInfos` `FieldInfos` of the newly merged segment.
`InfoStream` `infoStream` InfoStream for debugging messages.
`int` `matchedCount` How many `matchingSegmentReaders` are set.
`SegmentReader[]` `matchingSegmentReaders` `SegmentReader`s that have identical field name/number mapping, so their stored fields and term vectors may be bulk merged.
`List<AtomicReader>` `readers` Readers being merged.
`SegmentInfo` `segmentInfo` `SegmentInfo` of the newly merged segment.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### segmentInfo

    public SegmentInfo segmentInfo

`SegmentInfo` of the newly merged segment.

#### fieldInfos

    public FieldInfos fieldInfos

`FieldInfos` of the newly merged segment.

#### readers

    public List<AtomicReader> readers

Readers being merged.

#### docMaps

    public MergeState.DocMap[] docMaps

Maps docIDs around deletions.

#### docBase

    public int[] docBase

New docID base per reader.

#### checkAbort

    public MergeState.CheckAbort checkAbort

Holds the CheckAbort instance, which is invoked periodically to see if the merge has been aborted.

#### infoStream

    public InfoStream infoStream

InfoStream for debugging messages.

#### matchingSegmentReaders

    public SegmentReader[] matchingSegmentReaders

`SegmentReader`s that have identical field name/number mapping, so their stored fields and term vectors may be bulk merged.

#### matchedCount

    public int matchedCount

How many `matchingSegmentReaders` are set.